Bug 624874 - Parts of UI that are not interactive during install process should be greyed out
Parts of UI that are not interactive during install process should be greyed out
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 21:05 EDT by Máirín Duffy
Modified: 2011-06-28 10:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:31:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing non-functional but inviting search while install process runs (1.18 MB, image/png)
2010-08-17 21:06 EDT, Máirín Duffy
no flags Details

  None (edit)
Description Máirín Duffy 2010-08-17 21:05:27 EDT
Description of problem:

I installed gscan2pdf in Add/Remove software. I searched for it, selected it, and hit the 'apply' button in the lower right corner.

While gscan2pdf was installing, the seach box in the upper right corner was still active. I remembered that I had wanted to install 'tesseract' as well, so i typed it in the search box.

Nothing happened. It looked broken.

2 or 3 minutes later, when gscan2pdf finally finished installing, the tesseract search went through 

I think this is a poor experience. IF a UI control is not usable, it should not tempt me with its clickable and non-greyed out widgets. I think it would be better to grey out the search box when you cannot interact with it.

See attached screensho.

Version-Release number of selected component (if applicable):
PackageKit-0.6.6-1.fc13.x86_64
PackageKit-gtk-module-0.6.6-1.fc13.x86_64

How reproducible:
Very, just install one package and try to use search while the install is going through.
Comment 1 Máirín Duffy 2010-08-17 21:06:27 EDT
Created attachment 439266 [details]
Screenshot showing non-functional but inviting search while install process runs
Comment 2 Bug Zapper 2011-06-01 07:19:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 10:31:04 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.